#
# spec file for package python-pymemcache
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Thomas Bechtold <thomasbechtold@jpberlin.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pymemcache
Version:        1.2.9
Release:        150400.16.69
Summary:        A comprehensive, fast, pure Python memcached client
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/Pinterest/pymemcache
Source:         https://pypi.io/packages/source/p/pymemcache/pymemcache-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module nose >= 1.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python3-six
Obsoletes:      python3-pymemcache < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
A comprehensive, fast, pure-Python memcached client.

pymemcache supports the following features:

* Complete implementation of the memcached text protocol.
* Configurable timeouts for socket connect and send/recv calls.
* Access to the "noreply" flag, which can significantly increase the speed of writes.
* Flexible, simple approach to serialization and deserialization.
* The (optional) ability to treat network and memcached errors as cache misses.

%prep
%setup -q -n pymemcache-%{version}

%build
%python_build

%install
%python_install

%check
nosetests

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE.txt
%doc README.md
%{python_sitelib}/*

%changelog
* Wed Oct  6 2021 steven.kowalik@suse.com
- Use python-rpm-mcros to build for both Python 2 and Python 3.
- Obsolete the old name.
* Tue Nov 21 2017 dmueller@suse.com
- update to 1.2.9:
  * Introduced PooledClient a thread-safe pool of clients
* Sun Mar 13 2016 dmueller@suse.com
- add LICENSE.txt
* Tue Feb 24 2015 tbechtold@suse.com
- update to 1.2.8:
  * Increasing version number for pypi
  * Merge pull request #30 from methane/patch-1
  * Move nose to tests_requires
  * Bumping version to fix upload issues with pypi
  * Adding James Socol to contributors and bumping version for pypi
  * Merge pull request #27 from jsocol/connect-error
  * Include _connect in ignore_exc try/except block
  * Adding the LICENSE.txt file to the distribution
* Fri Jun  6 2014 thomasbechtold@jpberlin.de
- Initial version.
